require 'spec_helper'

module StartHer
  describe Utils do
    subject { Object.new.extend(Utils) }

    describe '#msid' do
      it 'returns a microservice id' do
        expect(subject.msid('StartHer')).to match(/[a-f0-9]+/)
      end
    end

    describe '#fingerprint' do
      it 'returns a microservice fingerprint' do
        expect(subject.fingerprint('StartHer'))
          .to eq([Socket.gethostname, 'Object', 'StartHer'].map(&:to_s).join(''))
      end
    end
  end
end
