require 'start_her'
require 'start_her/testing'

ENV['RACK_ENV'] ||= 'test'

ROOT_SPEC = File.join(File.dirname(__FILE__), '../')
Dir[File.join(ROOT_SPEC, 'spec', 'support', '**', '*.rb')].each { |f| require f }

RSpec.configure do |config|
  config.include Gemsupport::Error

  config.before(:each) do
    StartHer::Testing.clear_stubed_redis
  end

  config.order = 'random'
  config.run_all_when_everything_filtered = true
  config.filter_run :focus
end
