require 'spec_helper'

module StartHer
  describe Configuration do
    describe '#initialize' do
      it 'contains default Redis options' do
        expect(subject.redis).to eq({})
      end

      it 'contains default logger' do
        expect(subject.logger).to be_a(::LogStashLogger)
      end

      it 'contains default backlog TTL' do
        expect(subject.backlog_ttl).to eq(604_800)
      end
    end
  end
end
